Update Prospect: Rentcafe
https://api.propexo.com/crm/v1/prospects/rentcafe/:prospect_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the prospect
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the agent
Notes associated with the prospect. This is appended to any existing message
The first address line associated with the prospect
Possible values: <= 40 characters
The second address line associated with the prospect
Possible values: <= 40 characters
The city associated with the prospect
Possible values: <= 30 characters
The state associated with the prospect
Possible values: <= 4 characters
The zip code associated with the prospect
Possible values: <= 12 characters
The country associated with the prospect
Possible values: <= 2 characters
The move-in date associated with the prospect
Show 2 variants
The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.
The way the prospect prefers to be contacted
Show 4 enum values
NONECALLTEXTEMAILWhether or not to subscribe the prospect to automated Rentcafe email messaging.
The name of the source of the lead
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the prospect
The Propexo unique identifier for the agent
Notes associated with the prospect. This is appended to any existing message
The first address line associated with the prospect
Possible values: <= 40 characters
The second address line associated with the prospect
Possible values: <= 40 characters
The city associated with the prospect
Possible values: <= 30 characters
The state associated with the prospect
Possible values: <= 4 characters
The zip code associated with the prospect
Possible values: <= 12 characters
The country associated with the prospect
Possible values: <= 2 characters
The move-in date associated with the prospect
Show 2 variants
Possible values: >= 0
The way the prospect prefers to be contacted
Show 4 enum values
NONECALLTEXTEMAILWhether or not to subscribe the prospect to automated Rentcafe email messaging.
The name of the source of the lead
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/crm/v1/prospects/rentcafe/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "string",
"notes": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": [
0
],
"preferred_contact_method": "NONE",
"subscribe": true,
"prospect_source": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"prospect_id": "string",
"agent_id": "string",
"notes": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": [
0
],
"preferred_contact_method": "NONE",
"subscribe": true,
"prospect_source": "string"
}
}